Entrar

Cancellation

PATCH https://{organization}.myguper.com/api/order/{orderId}/cancellation

Marca um pedido como cancelado. Dispara o cancelamento das transações de loyalty relacionadas.

Try-it values populated from environment ACME (Demo)


Autenticação

Token

Send your user token in the x-guper-authorization header.

Cabeçalhos

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Parâmetros do caminho

Name Type Description
orderId * string

Respostas

{
    "id": 1672059,
    "interface": "generic",
    "refId": "362",
    "store": 32,
    "cashier": null,
    "salesperson": null,
    "client": 431969,
    "status": "cancelled",
    "paidValue": 0,
    "total_order": 97390,
    "total_item": 96390,
    "total_shipping": 20000,
    "total_taxes": 0,
    "total_discounts": 1000,
    "order_date": {
        "date": "2024-09-27 11:54:57.000000",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
    },
    "createAt": {
        "date": "2024-09-27 11:55:02.000000",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
    },
    "updateAt": {
        "date": "2024-09-27 11:55:02.000000",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
    }
}
Copied to clipboard